Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# osgProducer::ViewerEventHandler Class Reference

Inheritance diagram for osgProducer::ViewerEventHandler:

[legend]
List of all members.

## Public Types
enum | FrameStatsMode { NO_STATS = 0, FRAME_RATE = 1, CAMERA_STATS = 2, SCENE_STATS = 3 }
## Public Member Functions
| ViewerEventHandler (OsgCameraGroup *cg)
virtual bool | handle (const osgGA::GUIEventAdapter &ea, osgGA::GUIActionAdapter &aa)
virtual void | accept (osgGA::GUIEventHandlerVisitor &gehv)
| Accept visits from GUIEventHandler visitors.
virtual void | getUsage (osg::ApplicationUsage &usage) const
| Get the keyboard and mouse usage of this manipulator.
OsgCameraGroup * | getOsgCameraGroup ()
const OsgCameraGroup * | getOsgCameraGroup () const
void | setWriteNodeFileName (const std::string &filename)
const std::string & | getWriteNodeFileName () const
void | setDisplayHelp (bool displayHelp)
bool | getDisplayHelp () const
void | setFrameStatsMode (FrameStatsMode mode)
FrameStatsMode | getFrameStatsMode ()
void | setWriteImageOnNextFrame (bool writeImageOnNextFrame)
void | setWriteImageFileName (const std::string &filename)
const std::string & | getWriteImageFileName () const
## Protected Types
typedef std::vector< SnapImageDrawCallback * > | SnapImageDrawCallbackList
## Protected Attributes
osgProducer::OsgCameraGroup * | _cg
std::string | _writeNodeFileName
bool | _displayHelp
FrameStatsMode | _frameStatsMode
bool | _firstTimeTogglingFullScreen
StatsAndHelpDrawCallback * | _statsAndHelpDrawCallback
SnapImageDrawCallbackList | _snapImageDrawCallbackList
std::string | _writeImageFileName

## Member Typedef Documentation

typedef std::vector<SnapImageDrawCallback*> osgProducer::ViewerEventHandler::SnapImageDrawCallbackList`[protected]`

## Member Enumeration Documentation

enum osgProducer::ViewerEventHandler::FrameStatsMode

  | Enumeration values:
  NO_STATS |
  FRAME_RATE |
  CAMERA_STATS |
  SCENE_STATS |

## Constructor & Destructor Documentation

osgProducer::ViewerEventHandler::ViewerEventHandler | ( | OsgCameraGroup * | cg | ) |

## Member Function Documentation

virtual void osgProducer::ViewerEventHandler::accept | ( | osgGA::GUIEventHandlerVisitor & | gehv | ) | `[virtual]`

| Accept visits from GUIEventHandler visitors. Reimplemented from osgGA::GUIEventHandler.

bool osgProducer::ViewerEventHandler::getDisplayHelp | ( |  | ) | const`[inline]`

FrameStatsMode osgProducer::ViewerEventHandler::getFrameStatsMode | ( |  | ) | `[inline]`

const OsgCameraGroup* osgProducer::ViewerEventHandler::getOsgCameraGroup | ( |  | ) | const`[inline]`

OsgCameraGroup* osgProducer::ViewerEventHandler::getOsgCameraGroup | ( |  | ) | `[inline]`

virtual void osgProducer::ViewerEventHandler::getUsage | ( | osg::ApplicationUsage & | usage | ) | const`[virtual]`

| Get the keyboard and mouse usage of this manipulator. Reimplemented from osgGA::GUIEventHandler.

const std::string& osgProducer::ViewerEventHandler::getWriteImageFileName | ( |  | ) | const`[inline]`

const std::string& osgProducer::ViewerEventHandler::getWriteNodeFileName | ( |  | ) | const`[inline]`

virtual bool osgProducer::ViewerEventHandler::handle | ( | const osgGA::GUIEventAdapter & | ea,
|  | osgGA::GUIActionAdapter & | aa
| ) | `[virtual]`

void osgProducer::ViewerEventHandler::setDisplayHelp | ( | bool | displayHelp | ) | `[inline]`

void osgProducer::ViewerEventHandler::setFrameStatsMode | ( | FrameStatsMode | mode | ) |

void osgProducer::ViewerEventHandler::setWriteImageFileName | ( | const std::string & | filename | ) |

void osgProducer::ViewerEventHandler::setWriteImageOnNextFrame | ( | bool | writeImageOnNextFrame | ) |

void osgProducer::ViewerEventHandler::setWriteNodeFileName | ( | const std::string & | filename | ) | `[inline]`

## Member Data Documentation

osgProducer::OsgCameraGroup* osgProducer::ViewerEventHandler::_cg`[protected]`

bool osgProducer::ViewerEventHandler::_displayHelp`[protected]`

bool osgProducer::ViewerEventHandler::_firstTimeTogglingFullScreen`[protected]`

FrameStatsMode osgProducer::ViewerEventHandler::_frameStatsMode`[protected]`

SnapImageDrawCallbackList osgProducer::ViewerEventHandler::_snapImageDrawCallbackList`[protected]`

StatsAndHelpDrawCallback* osgProducer::ViewerEventHandler::_statsAndHelpDrawCallback`[protected]`

std::string osgProducer::ViewerEventHandler::_writeImageFileName`[protected]`

std::string osgProducer::ViewerEventHandler::_writeNodeFileName`[protected]`

The documentation for this class was generated from the following file:

- ViewerEventHandler